# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jun 24 08:29:50 2022
# ------------------------------------------------

package:
  name: suitesparse
  version: 5.10.1
source:
  - patches:
      - 0001-only-build-UMFPACK-library.patch
    sha256: acb4d1045f48a237e70294b950153e48dce5b5f9ca8190e86c2b8c54ce00a7ee
    url: https://github.com/DrTimothyAldenDavis/SuiteSparse/archive/v5.10.1.tar.gz
build:
  number: '2'
  run_exports:
    - suitesparse >=5.10.1,<6.0a0
  string: hbea09fc_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 hfd63f10_2
    - c-ares 1.18.1 h2f4d8fa_0
    - ca-certificates 2022.4.26 hd43f75c_0
    - cmake 3.22.1 h984d34b_0
    - expat 2.4.4 h22f4aa5_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.19.2 h9f0e0cd_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 7.82.0 h13c8431_0
    - libedit 3.1.20210910 h2f4d8fa_0
    - libev 4.33 hfd63f10_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hb87466c_0
    - libssh2 1.10.0 ha9ffb65_0
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.40.0 hfd63f10_0
    - lz4-c 1.9.3 h7c1a80f_0
    - make 4.2.1 hfd63f10_1
    - ncurses 6.3 h2f4d8fa_2
    - openssl 1.1.1o h2f4d8fa_0
    - patch 2.7.6 hfd63f10_1001
    - rhash 1.4.1 hcd09bdd_1
    - sysroot_linux-aarch64 2.26 h4744778_14
    - xz 5.2.5 h2f4d8fa_1
    - zlib 1.2.12 h2f4d8fa_2
    - zstd 1.5.2 hfcb3217_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - blas 1.0 openblas
    - gmp 6.1.2 h7c1a80f_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h6e398d7_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libopenblas 0.3.20 hc2e42e2_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - metis 5.1.0 h22f4aa5_3
    - mpfr 4.0.2 h51dc842_1
    - nomkl 3.0 0
    - openblas-devel 0.3.20 hd43f75c_1
    - tbb 2020.2 h949e957_0
    - tbb-devel 2020.2 h949e957_0
  run:
    - blas * openblas
    - gmp >=6.1.2
    - libgcc-ng >=11.2.0
    - libopenblas >=0.3.20,<1.0a0
    - libstdcxx-ng >=11.2.0
    - metis
    - mpfr >=4.0.2,<5.0a0
    - tbb >=2020.2
test:
  commands:
    - test -f ${PREFIX}/lib/libamd${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libbtf${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libcamd${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libccolamd${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libcholmod${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libcolamd${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libcxsparse${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libklu${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libldl${SHLIB_EXT}
    - test -f ${PREFIX}/lib/librbio${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libspqr${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libsuitesparseconfig${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libumfpack${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libamd.a
    - test -f ${PREFIX}/lib/libbtf.a
    - test -f ${PREFIX}/lib/libcamd.a
    - test -f ${PREFIX}/lib/libccolamd.a
    - test -f ${PREFIX}/lib/libcholmod.a
    - test -f ${PREFIX}/lib/libcolamd.a
    - test -f ${PREFIX}/lib/libcxsparse.a
    - test -f ${PREFIX}/lib/libklu.a
    - test -f ${PREFIX}/lib/libldl.a
    - test -f ${PREFIX}/lib/librbio.a
    - test -f ${PREFIX}/lib/libspqr.a
    - test -f ${PREFIX}/lib/libsuitesparseconfig.a
    - test -f ${PREFIX}/lib/libumfpack.a
about:
  home: http://faculty.cse.tamu.edu/davis/suitesparse.html
  license: LGPL v2 (AMD, BTF, etc), BSD 3-clause (UFget), GPL v2 (UMFPACK, RBIO, SPQR,
    GPUQRENGINE), Apache 2.0 (Metis)
  summary: A suite of sparse matrix algorithms
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2721ab45-9e2f-4603-b90e-cdbcb44332a4
  recipe-maintainers:
    - basnijholt
    - grlee77
    - jakirkham
  remote_url: git@github.com:AnacondaRecipes/suitesparse-feedstock.git
  sha: 445b48e7e6268895d0db0c33ced9f3da578ecff9
